org.eclipse.ease.modules

## Class ScriptParameter.OptionalParameterHelper

- java.lang.Object
- - org.eclipse.ease.modules.ScriptParameter.OptionalParameterHelper

Enclosing class:
  ScriptParameter

    public static class ScriptParameter.OptionalParameterHelper
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`OptionalParameterHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Object` `getDefaultValue(ScriptParameter in, java.lang.Class<?> type)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OptionalParameterHelper

    public OptionalParameterHelper()

### Method Detail

#### getDefaultValue

    public static java.lang.Object getDefaultValue(ScriptParameter in,
                                                   java.lang.Class<?> type)